# Method: projects.datasets.get

- [HTTP request](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/get#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/get#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/get#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/get#body.aspect_1)

Gets the dataset.

### HTTP request

`GET https://mapsplatformdatasets.googleapis.com/v1/{name=projects/*/datasets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name. Format: projects/{project}/datasets/{datasetId} Can also fetch some special versions by appending "@" and a tag. Format: projects/{project}/datasets/{datasetId}@{tag} Tag "active": The info of the latest completed version will be included, and NOT_FOUND if the dataset does not have one. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets#Dataset`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `mapsplatformdatasets.datasets.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).